[karmic][lucid] Intel HDA 82801G (ICH7) | STAC9200 - Mixer controlling wrong settings

Bug #441195 reported by Sam Vilain on 2009-10-03
122
This bug affects 21 people
Affects Status Importance Assigned to Milestone
PulseAudio
Invalid
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

Hi, this might not be a bug in pulseaudio but I wasn't sure of the right package for this.

Basically each of the volume controls in gnome seem to control the wrong mixer channel.

The exact device ID is:

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1b.0 0403: 8086:27d8 (rev 01)

Sliding the volume control with alsamixer open, I see behaviour where at the top 80% of the volume range, the Master level is changed from 0 to 100%. In the ~5% or so below that, the LFE level is changed from 0 to 100%. In the bottom ~15%, the PCM level is dropped.

This seems like quite deliberate behaviour, but for this laptop it is entirely inappropriate. Between the 15% and 20% setting for instance the subwoofer speaker goes from 0% to 100%, with the treble speakers off. It sounds *awful*!

More appropriate behaviour for this laptop is to have LFE at ~100% and Master at ~85%, and then just changing PCM between about 100% and 25% will give good levels for most environments. Alternatively, you can adjust both LFE and Master together - ideally with LFE slightly higher than Master - and leave PCM on high and this will achieve a similar effect.

ProblemType: Bug
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: samv 1781 F.... pulseaudio
 /dev/snd/pcmC0D0p: samv 1781 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xefffc000 irq 21'
   Mixer name : 'SigmaTel STAC9200'
   Components : 'HDA:83847690,102801cd,00102201 HDA:14f12bfa,14f100c3,00090000'
   Controls : 13
   Simple ctrls : 7
Date: Sat Oct 3 21:53:10 2009
DistroRelease: Ubuntu 9.10
Package: pulseaudio 1:0.9.18-0ubuntu3
ProcEnviron:
 LANG=en_NZ.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-11-generic x86_64

Sam Vilain (sam-vilain) wrote :
Sam Vilain (sam-vilain) wrote :

Note: workaround is to use a different mixer, such as Gnome ALSA mixer.

Jonenst (jon-harper87) wrote :

This affects me also, using the following card :
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)

I don't have the exact same symptoms (my subwoofer channel is not controlled at all, except when choosing the "LFE" connector which then only controls the subwoofer)

I think this is very important because most new users will just toss away ubuntu if there is bad sound. I don't know how many cards or pcs are affected though.

I'm not sure I understand the workaround. Are you suggesting that I adapt levels on all the important channels manually ? Or is there a way to make it work with the sound-applet (and maybe multimedia buttons?)

Also, this bug seems related, but i'm not sure : Bug #429109

Brakbabord (utman2004) wrote :

Same problem here.

Pulseaudio volume control is "linked" to the "Master" of Alsa. But Inspiron 9400 main channel is "PCM". Master=front speaker and LFE=subwoofer. PCM allows user to adjust both.

Pulseaudio should be "linked" to PCM for this model.

another_sam (anothersam) wrote :

I think the same happens to me. Dell Inspiron 9400. Headphones work right. But laptop speakers do this:
1. Both LFE and tweeters don't sound at all until 16% (sometimes 17% (don't know why)). I think this must be fixed.
2. Starting at 17-18%, LFE goes 100% (walls cracking, eardrums imploding, pants browning). I think this must be fixed.
3. Starting at 17-18%, tweeters increase progressively its level until 100%. This is not that bad; but tweeters should start sounding from 1%, not 17% right?

This was not happening with 9.04.

discont (discont) wrote :

Confirm. Ubuntu 9.10 x86_64 (after upgrade from 9.04)

Laptop Dell Inspiron 6400

Starting at 17%

discont (discont) wrote :

$ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)

Download full text (4.9 KiB)

In reality it's a linux bug, meaning that the sound driver can be modified
to work around broken hardware. PulseAudio can be tweaked for your
particular hardware (and only yours -- it cannot be a global change for all
users!) by using volume = ignore for the desired mixer elements.

On Oct 3, 2009 5:10 AM, "Sam Vilain" <email address hidden> wrote:

Public bug reported:

Binary package hint: pulseaudio

Hi, this might not be a bug in pulseaudio but I wasn't sure of the right
package for this.

Basically each of the volume controls in gnome seem to control the wrong
mixer channel.

The exact device ID is:

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1b.0 0403: 8086:27d8 (rev 01)

Sliding the volume control with alsamixer open, I see behaviour where at
the top 80% of the volume range, the Master level is changed from 0 to
100%. In the ~5% or so below that, the LFE level is changed from 0 to
100%. In the bottom ~15%, the PCM level is dropped.

This seems like quite deliberate behaviour, but for this laptop it is
entirely inappropriate. Between the 15% and 20% setting for instance
the subwoofer speaker goes from 0% to 100%, with the treble speakers
off. It sounds *awful*!

More appropriate behaviour for this laptop is to have LFE at ~100% and
Master at ~85%, and then just changing PCM between about 100% and 25%
will give good levels for most environments. Alternatively, you can
adjust both LFE and Master together - ideally with LFE slightly higher
than Master - and leave PCM on high and this will achieve a similar
effect.

ProblemType: Bug
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: samv 1781 F.... pulseaudio
 /dev/snd/pcmC0D0p: samv 1781 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xefffc000 irq 21'
  Mixer name : 'SigmaTel STAC9200'
  Components : 'HDA:83847690,102801cd,00102201
HDA:14f12bfa,14f100c3,00090000'
  Controls : 13
  Simple ctrls : 7
Date: Sat Oct 3 21:53:10 2009
DistroRelease: Ubuntu 9.10
Package: pulseaudio 1:0.9.18-0ubuntu3
ProcEnviron:
 LANG=en_NZ.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-11-generic x86_64

** Affects: pulseaudio (Ubuntu)
    Importance: Undecided
        Status: New

** Tags: amd64 apport-bug

--
[karmic] Dell Inspiron 9400 / ICH7 - Mixer controlling wrong settings
https://bugs.launchpad.net/bugs/441195
You received this bug notification because you are a member of Ubuntu
Audio Team, which is subscribed to pulseaudio in ubuntu.

Status in “pulseaudio” package in Ubuntu: New

Bug description:
Binary package hint: pulseaudio

Hi, this might not be a bug in pulseaudio but I wasn't sure of the right
package for this.

Basically each of the volume controls in gnome seem to control the wrong
mixer channel.

The exact device ID is:

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
A...

Read more...

Problem confirmed.
The new sound mixer on this laptop is basically useless now and makes adjusting sound volumes a hassle.
(The hardware buttons are unusable for example)
The main slider should control the PCM slider and leave the other controls alone.

On my Dell M1710, setting

    flat-volumes = no

in

    /etc/pulse/daemon.conf

sorted out my volume control problems. YMMV!

Jonenst (jon-harper87) wrote :

@Andrew
On my system, flat-volumes = no is already set.

@Daniel
Could you be more specific on the workaround ? How do we ignore channels ? A reasonable solution would be to be able to change PCM only, so being able to ignore channels would work.
Also, you say the bug comes from linux drivers. Can you tell us where we can report the source of the problem ? You also mention broken hardware. What do you mean by that ?

@Sam Vilain
Does your Gnome Alsa mixer workaround allow the following (and if yes, can you explain how to set it up ?)
- Changing the volume through the sound applet (the speaker icon in the top right corner of the screen) with only left click and drag?
- Changing the volume with multimedia buttons ?
TIA

On Fri, Oct 30, 2009 at 1:21 PM, Jonenst <email address hidden> wrote:
> Could you be more specific on the workaround ? How do we ignore channels ? A reasonable solution would be to be able to change PCM only, so being able to ignore channels would work.
> Also, you say the bug comes from linux drivers. Can you tell us where we can report the source of the problem ? You also mention broken hardware. What do you mean by that ?

I've blogged about this previously. See the configuration file for
PulseAudio; change volume = ignore, etc.

Report a bug against linux.

Some hardware simply are wired incorrectly, plain and simple.

I have the same problem with my Inspiron 9400... Is there a way to trick it through the Pulseaudio Device Chooser ? I tried to investigate in this direction but didn't find anything useful... But I'm clearly not an expert, so, maybe someone...

yostral (y-o) wrote :

Same Dell 9400 here, same problem.

Ok it's a "hardware bug". But from Warty to to Jaunty it was possible to workaround this by assigning manually which channel should controled by the applet and the multimedia buttons.

Is there really no way to do this now with Gnome 2.28 ?? Don't tell me those values are hardcoded ? So the question is possible with Gnome 2.28/Karmic to change the default controled channel ?

pato101 (pato101) wrote :

Me too with Dell 9400. Amazing machine btw :P

Seeing bug #410948 I've found a workaround which seems to be working pretty well for me. There are some variants around, but this is the one that IMHO is less intrusive from a system point of view but needs to be setup at each user:

===== This is only info recopilation =====
======= Credit to Daniel T Chen ======

1) see if you have the file ~/.pulse/default.pa
    if not, just get a copy from:
cp /etc/pulse/default.pa ~/.pulse

2) Now, edit ~/.pulse/default.pa
    goto line 55 which should be:
load-module module-udev-detect
    and modify it to be
load-module module-udev-detect ignore_dB=1

3) now go a bit up and uncomment the line
#load-module module-alsa-sink
    and modify it to be:
load-module module-alsa-sink control=PCM

4) stop any apps playing sound

5) kill pulseaudio (pulseaudio will respawn by itself):
killall pulseaudio

6) run alsamixer at a terminal and make sure you have Master and LFE levels to about 50 or even 100 if you want loud range. Navigation inside alsamixer is: left and right arrows select channel, up and down arrows modify channel level, M mutes/unmutes a channel.

7) Move gnome sound volume slider: you'll see that now Master and LFE are not touched and that the slider only applies to PCM channel.

8) Go rhythmbox or whatever and play your favourite songs or whatever. Play with the gnome volume slider and see if everything is just OK.

Wedgeff7 (wedgeff7) wrote :

The workaround works well for me too ! Even the media keys control the PCM correctly. I just had to restart the session because the sound was not good right after doing the manipulation.

Thank you Pato !

Me too.
Thx !

Envoyé de mon téléphone.

Le 9 nov. 2009 à 20:57, Wedgeff7 <email address hidden> a écrit :

> The workaround works well for me too ! Even the media keys control the
> PCM correctly. I just had to restart the session because the sound was
> not good right after doing the manipulation.
>
> Thank you Pato !
>
> --
> [karmic] Dell Inspiron 9400 / ICH7 - Mixer controlling wrong settings
> https://bugs.launchpad.net/bugs/441195
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.

pato101 (pato101) wrote :

I'm experiencing some sound glitches, also: from time to time rhytmbox or other sound apps begin making some noise glitches and perhaps making just noise instead of music. This tends to happen when the system load is stressed. I'm trying this line at this moment (step 2 at previous message):

load-module module-udev-detect ignore_dB=1 tsched=1

Seems to be OK, but I have to test it throughly. I post it here because I own a Dell Inspiron 9400, so all Dell Inspiron 9400 owners may be facing the same problem.

Glitch-free (tsched=1) is enabled by default in 9.10. You may want to try
tsched=0 (disable it).

On Nov 17, 2009 6:25 AM, "pato101" <email address hidden> wrote:

I'm experiencing some sound glitches, also: from time to time rhytmbox
or other sound apps begin making some noise glitches and perhaps making
just noise instead of music. This tends to happen when the system load
is stressed. I'm trying this line at this moment (step 2 at previous
message):

load-module module-udev-detect ignore_dB=1 tsched=1

Seems to be OK, but I have to test it throughly. I post it here because
I own a Dell Inspiron 9400, so all Dell Inspiron 9400 owners may be
facing the same problem.

-- [karmic] Dell Inspiron 9400 / ICH7 - Mixer controlling wrong settings
https://bugs.launchpad.ne...

This bug is still present in Lucid alpha 2.
I have another fix for this issue, I can't remember where I originally found it but a while ago I posted it on the Inspiron 9400 page on the Ubuntu Wiki (https://wiki.ubuntu.com/LaptopTestingTeam/DellInspiron9400)

The fix:
Open /usr/share/pulseaudio/alsa-mixer/paths/analog-output.conf and look for the LFE, Master and Hardware Master elements. Change 'volume = merge' to 'volume = ignore'. Now run alsamixer from a terminal and set Master and LFE to 100%. Volume hotkeys will now control PCM volume only, which is what you'll want.

I haven't tested pato101's fix but my guess is that they both do the same thing. Anyway I thought I should let you know about this alternative fix.

Anton Eliasson (eliasson) wrote :

Looked around a bit and found that I had originally taken my workaround from #410948 - Volume too loud.
According to the comments there editing /etc/pulse/default.pa is the better way to go so never mind my last comment (#21). I also mixed the words "workaround" and "fix", and this is just a workaround - the real problem seems to be in linux and not in pulseaudio

Cristian (cristianrosa) wrote :

I have the same issue in a Dell Precision M90. Following the advice of reporting the "wrong wiring stuff" upstream, I found at alsa's bug tracking system that it is already reported (I think by the gust at the laptop testing team, not sure).

https://bugtrack.alsa-project.org/alsa-bug/view.php?id=4890

I am not quite sure to understand, but they say this is the correct behavior specified by the datasheet of stac9200.
Maybe someone that is more on topic might take a look to the discussion.

Daniel T Chen (crimsun) on 2010-03-06
affects: pulseaudio (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Confirmed
Cristian (cristianrosa) on 2010-03-07
summary: - [karmic] Dell Inspiron 9400 / ICH7 - Mixer controlling wrong settings
+ [karmic][lucid] Dell Inspiron 9400 / ICH7 - Mixer controlling wrong
+ settings
summary: - [karmic][lucid] Dell Inspiron 9400 / ICH7 - Mixer controlling wrong
- settings
+ [karmic][lucid] Intel HDA 82801G (ICH7) | STAC9200 - Mixer controlling
+ wrong settings
Cristian (cristianrosa) wrote :

I changed the title because other laptops besides DELL INSPIRON 9400 suffer from this problem (mine is a M90)

Cristian (cristianrosa) on 2010-03-12
tags: added: lucid
Cristian (cristianrosa) wrote :

I found some related bug reports in PulseAudio and ALSA
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=4331
http://pulseaudio.org/ticket/457

To resume them briefly:

The STAC9200's data-sheet says that the hardware has the following layout:

front device -> softvol plugin "PCM" --> hw device ---> "Master" Volume
                                                                |-> "LFE" Volume

LFE is a mono channel (L+R) connected to the subwoofer with it's own hardware volume.

Pulse's developers assume that ALSA's master volumes should control all analog outputs (in this case "LFE + Master"). So the driver should be fixed.

ALSA developers says that the driver's job is only to expose the hardware features, (in this case two separate volumes LFE, Master), and that higher level applications should take care of that.

The reports are 14 months old...I don't think this would be fixed by either of them, maybe ubuntu should try to automatize the work around at pulseaudio install time?

Cristian (cristianrosa) wrote :

The layout was misaligned above because of the monospace font, this is the correct one:

front device -> softvol plugin "PCM" --> hw device ---> "Master" Volume
                                          |-> "LFE" Volume

By the way, I don't think the laptop is wrong wired.

Cristian (cristianrosa) wrote :

I think I found the problem and the solution. The "Master" and "PCM" are not interchanged they are right, the problem is that pulse's path for "Analog Stereo" assumes that the LFE is between PCM and Master, and this is not the case.
For this kind of setups there is a path called "Analog Stereo LFE on Mono". There is a comment at the beginning of the file that says

; Intended for usage in laptops that have a seperate LFE speaker
; connected to the Master mono connector

But pulseaudio's debug information said this won't be enabled because the Element "Master Mono" wasn't available. I edited the file and renamed Master Mono to LFE and move it before Element Master and now it is working as a charm.
Now pulse set PCM to max and the raises Master and LFE together.

I attach my analog-output-lfe-on-mono.

Cristian (cristianrosa) wrote :

The issue seems to be related to a configuration problem in pulseaudio

affects: linux (Ubuntu) → pulseaudio (Ubuntu)
Anton Eliasson (eliasson) wrote :

Are you sure? According to Daniel T Chen it is a bug in the linux kernel, see #8 and #12

Cristian (cristianrosa) wrote :

I am almost sure, I undid all the workarounds previously suggested in the comments (and Karmic Caveats), and with the attached pulse path the volume control is working fine. (both Master+LFE are equally affected first, then PCM)
Alsa exports two analog volumes one for Master and one for LFE (this is usually called Master Mono) that controls the subwoofer.
I think the confusion comes from the fact that if pulse controls the PCM (vía sink), it won't modify Master and LFE, but because it is an innermost volume in analog-output's path. Using the card this way fix to the max the two analog outputs and the volume range is shorter (only PCM). In addition, in my laptop if you set the volume of PCM to min, and the analog to max you still can hear noises.
I think this is why there is a pulse path called "analog-output-lfe-on-mono", by the comments on the file, it is supposed to correctly support this setup, but it wasn't being available because it expects a Master Mono element, that it is being called LFE by alsa's mixer.
It would be nice Daniel T Chen could take a look to this.

Daniel T Chen (crimsun) wrote :

No, it is a bug in Linux. It's nearly impossible to work around in PulseAudio *and have it work for all hardware*.

affects: pulseaudio (Ubuntu) → linux (Ubuntu)
Cristian (cristianrosa) wrote :

Could you please point me where can I read an explanation on why it is a linux bug? I just cannot find any prove pointing into that direction?

Cristian (cristianrosa) wrote :

@Daniel T Chen: I am starting to think that this is a different issue than the one originally reported in the bug. In my case alsamixer seems to be controlling the right channels of my card, this is Master control the front speakers, LFE the subwoofer, PCM is the software volume. (running Karmic + alsa-modules backported)
I spent many hours trying to fix this bug, and I think it would be nice of you to give me some insight on why do you think it is a linux bug please, I can try to fix that.
Thank you

MvW (2nv2u) wrote :

This issue still remains in Lucid Lynx 10.04

MvW (2nv2u) wrote :

Found a workaround for the Inspiron 9400 on Lucid based on Cristian's "analog-output-lfe-on-mono.conf" fix.

1. Edit the file "analog-output-lfe-on-mono.conf" (sudo gedit /usr/share/pulseaudio/alsa-mixer/paths/analog-output-lfe-on-mono.conf)

Change:

[Element Hardware Master]
switch = mute
volume = merge
override-map.1 = all
override-map.2 = all-left,all-right

[Element Master]
switch = mute
volume = merge
override-map.1 = all-no-lfe
override-map.2 = all-left,all-right

[Element Master Mono]
required = any
switch = mute
volume = merge
override-map.1 = lfe
override-map.2 = lfe,lfe

Into:

[Element PCM]
switch = mute
volume = merge
override-map.1 = all
override-map.2 = all-left,all-right

[Element LFE]
switch = mute
volume = merge
override-map.1 = lfe
override-map.2 = lfe,lfe

[Element Master]
switch = mute
volume = merge
override-map.1 = all
override-map.2 = all-left,all-right

Remove:

[Element LFE]
switch = off
volume = off

2. Restart pulseaudio (pulseaudio -k).

3. Open sound preferences and choose from the output tab the "Analog Output (LFE)" connector.

This fixed it for me. Sound works like it should do again, enjoy!

quanta (franck-claudel) wrote :

Reason's workaround fixes my sound pb on Inspiron 9400. All controls work as expected now. Thanks!

Workaround in comment #35 works for me as well, on a Dell XPS M1710 with Audio device [0403]: Intel Corporation N10/ICH 7 Family High Definition Audio Controller [8086:27d8] (rev 01)

Liam O'Reilly (aliam13-2) wrote :

Workaround in comment #35 works for me as well, on a Dell Optiplex GX520 with Audi device 00:1e.2 Multimedia audio controller: Intel Corporation 82801G (ICH7 Family) AC'97 Audio Controller (rev 01).
Thanks

Colt Smith (csmith94) wrote :

#35 worked for me as well. Dell Inspiron 9400
Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 01)

Changed in linux (Ubuntu):
status: Confirmed → Invalid

@Daniel et al.

This is not a driver bug. I investigated the driver and hardware a lot and discussed the issue in an ALSA bug report: https://bugtrack.alsa-project.org/alsa-bug/view.php?id=5031 As you can see in my last comment, I have requested that my "bug" report be closed, because I decided that ALSA is working correctly.

The STAC 92xx chipset has two hardware volume controls, one for the L/R channel and one for the subwoofer (LFE) that is derived from L+R. But neither hardware volume affects the other. The so-called "Master" only affects the stereo internal speakers. It has no effect on the LFE volume. That's just how the chip is designed. :(

The job of ALSA kernel drivers is to present an interface to what the hardware implements, so it is doing the right thing. AFAIK there is no social contract in ALSA that a hardware volume control named "Master" is multiplied with all others. If there were then it would be a design flaw, because there is nothing to stop chipset developers from making a product that is incompatible with that, as we are seeing here. It is not reasonable for the Linux kernel to attempt to provide functionality that does not exist in the hardware.

To fix this issue, PulseAudio needs to either change the LFE volume in sync with the Master volume or use the PCM softvol exclusively, which is the work-around that I have adopted by adding "load-module module-alsa-sink control=PCM" to default.pa. The PCM approach is sub-optimal though because a software volume presumably incurs quantization error at low volume levels.

See also the upstream bug at http://pulseaudio.org/ticket/457

I do agree though that it would be nearly impossible to work around this in PulseAudio and have it work for all hardware. I think the best solution would be for PA to have a blacklist of chipsets with dumb volume control designs and simply use the PCM control for them exclusively.

Changed in pulseaudio:
status: Unknown → New
Cristian (cristianrosa) wrote :

Tristan Schmelcher thank you very much to invest some time on this issue.
That is what I was trying to explain in my posts and finally somebody got it!

Chan Ju Ping (rewarp) wrote :

Thank you very much Reason at #35.

I had no fine volume control as the only apparent range of loudness was limited to 30% of the slider in the sound applet. Now I can control the master volume with the subtler increase or decrease in volume.

By the way, my laptop is the Asus K40IJ.

Chan Ju Ping (rewarp) wrote :

Just discovered a problem with the fix at #35

My laptop speakers will not output sound when at Analog Output (LFE).

@Ju: This bug report is specific to the SigmaTel STAC9200 chipset, which your ASUS laptop doesn't have. Your laptop's audio chipset is called VT1708S. That's probably why the fix broke things for you. You should probably file your own bug.

Dan Bebber (danbebber) wrote :

This worked for me:

http://ubuntuforums.org/showpost.php?p=8314847&postcount=4

Also, I found alsamixer useful for playing around with the levels.

Chan Ju Ping (rewarp) wrote :

Someone did something at the kernal update level. I have fine volume control on my keyboard now.

dino99 (9d9) wrote :

That version is no more supported

Changed in pulseaudio (Ubuntu):
status: New → Invalid
Changed in pulseaudio:
importance: Unknown → Undecided
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.